GNET_STATS_COPY_APP(9)

NAME
gnet_stats_copy_app - copy application specific statistics into statistics TLV

SYNOPSIS

int gnet_stats_copy_app (struct gnet_dump * d, void * st, int len);

ARGUMENTS

d   dumping handle

st  application specific statistics data

len length of data

DESCRIPTION

Appends the application sepecific statistics to the top level TLV created by gnet_stats_start_copy and remembers the data for XSTATS if the dumping handle is in backward compatibility mode.

Returns 0 on success or -1 with the statistic lock released if the room in the socket buffer was not sufficient.